### Method

# Shell Global set_persistent_state

#### Declaration [src]

    void
    shell_global_set_persistent_state (
      ShellGlobal* global,
      const char* property_name,
      GVariant* variant
    )

#### Description [src]

Change the value of serialized persistent state.

#### Parameters

`property_name`

  Type: `const char*`

  Name of the property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`variant`

  Type: `GVariant`

  A `GVariant`, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.